Bug 18314 - Default setup is broken
Summary: Default setup is broken
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: exim (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-04 09:27 UTC by Tobias Ringstrom
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-04 11:31:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tobias Ringstrom 2000-10-04 09:27:05 UTC
The default configuration for exim seems broken, since
I cannot send mail as a local user.

> echo test | mail -s test tori

2000-10-04 10:49:44 13gkFE-0000T3-00 Failed to create spool file
/var/spool/exim/input//13gkFE-0000T3-00-D: Permission denied
2000-10-04 10:49:44 13gkFE-0000T3-00 Failed to create spool file
/var/spool/exim/input//13gkFE-0000T3-00-D: Permission denied
2000-10-04 10:49:44 13gkFE-0000T3-00 Failed to create spool file
/var/spool/exim/input//13gkFE-0000T3-00-D: Permission denied

Now, if I try this as root, I get the following instead:

# echo test | mail -s test tori

2000-10-04 10:54:32 13gkJs-0000T9-00 Unable to get root to set uid and gid
for local delivery to tori: uid=8 euid=8

Both problems above disappear if I make exim setuid root.
(chmod +s /usr/sbin/exim)

Either exim should be setuid root by rpm, or the configuration
should somehow be changed to allow it to run as non-root, if
possible.


I also think exim should use procmail as MDA by default, as
sendmail does in RH7.

Comment 1 Bernhard Rosenkraenzer 2000-10-18 17:11:46 UTC
Fixed in 3.16-2

Comment 2 Andreas Metzler 2000-11-27 09:39:05 UTC
This is really annoying, Why is there no update in redhat.updates/powertools/7.0/i386, only a fixed
Version in Rawhide, although this bug makes this exim-Package *unusable* without changing the permissions?

By the way: Imho exim should only use procmail as MDA if user has a ~/.procmailrc - Debians exim setup does this.
           cu andreas


Note You need to log in before you can comment on or make changes to this bug.